CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::BinauralSourceCache Class Reference

BinauralSourceCache: used for caching previous state of spatial sources. This has the history of input FFTs and the last output sample block for OLA. More...

`#include <Binaural.h>`

List of all members.

## Public Member Functions
| BinauralSourceCache (BinauralPanner *parent)
| ~BinauralSourceCache ()

## Public Attributes
SampleComplexVector * | mInSpect
| complex spectra of mNumBlocks past inputs
SampleBuffer | mPrevOutL
SampleBuffer | mPrevOutR
| previous sample window from the IFFT
unsigned * | mHRTF
| list of block IDs of the "split" hrtf
unsigned | mNumBlocks
| size of caches (16)

## Detailed Description

BinauralSourceCache: used for caching previous state of spatial sources. This has the history of input FFTs and the last output sample block for OLA.

Definition at line 80 of file Binaural.h.

## Constructor & Destructor Documentation

BinauralSourceCache::BinauralSourceCache | ( | BinauralPanner * | parent | ) |

Definition at line 207 of file Binaural.cpp.

References csl::HRTFDatabase::Database(), csl::HRTFDatabase::hrtfLength(), csl::BinauralPanner::mFramesPerBlock, mHRTF, mInSpect, csl::BinauralPanner::mNumBlocks, mNumBlocks, mPrevOutL, mPrevOutR, and SAFE_MALLOC.

BinauralSourceCache::~BinauralSourceCache | ( |  | ) |

Definition at line 225 of file Binaural.cpp.

References mHRTF, mInSpect, mNumBlocks, mPrevOutL, mPrevOutR, and SAFE_FREE.

## Member Data Documentation

SampleComplexVector* csl::BinauralSourceCache::mInSpect

complex spectra of mNumBlocks past inputs

Definition at line 85 of file Binaural.h.

Referenced by BinauralSourceCache(), csl::BinauralPanner::nextBuffer(), and ~BinauralSourceCache().

SampleBuffer csl::BinauralSourceCache::mPrevOutL

Definition at line 86 of file Binaural.h.

Referenced by BinauralSourceCache(), csl::BinauralPanner::nextBuffer(), and ~BinauralSourceCache().

SampleBuffer csl::BinauralSourceCache::mPrevOutR

previous sample window from the IFFT

Definition at line 86 of file Binaural.h.

Referenced by BinauralSourceCache(), csl::BinauralPanner::nextBuffer(), and ~BinauralSourceCache().

unsigned* csl::BinauralSourceCache::mHRTF

list of block IDs of the "split" hrtf

Definition at line 87 of file Binaural.h.

Referenced by BinauralSourceCache(), csl::BinauralPanner::nextBuffer(), and ~BinauralSourceCache().

unsigned csl::BinauralSourceCache::mNumBlocks

size of caches (16)

Definition at line 88 of file Binaural.h.

Referenced by BinauralSourceCache(), and ~BinauralSourceCache().

The documentation for this class was generated from the following files:

- CSL/Spatializers/Binaural/Binaural.h
- CSL/Spatializers/Binaural/Binaural.cpp